<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary" [disabled]="loading" (click)="buscar(ngForm.value)">
    <i class="fas fa-search mr-2"></i>Buscar
  </button>
</app-page-title>

<div class="main-card mb-3 card animated fadeIn">
  <div class="card-body">
    <form [formGroup]="ngForm">
      <div class="row">
        <div class="form-group col-12 col-sm-6 col-md-3 col-lg-3 col-xl-3">
          <label>Cuarto</label>
          <kendo-dropdownlist formControlName="tipo" [data]="dsTipos" [textField]="'desc'" [valueField]="'tipo'"
            [valuePrimitive]="true" class="w-100">
          </kendo-dropdownlist>
        </div>
        <div class="form-group col-12 col-sm-6 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Fecha Desde</label>
          <kendo-datepicker formControlName="fechaIni" [format]="formatKendo" class="w-100">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-6 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Fecha Hasta</label>
          <kendo-datepicker formControlName="fechaFin" [format]="formatKendo" class="w-100">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-6 col-md-3 col-lg-3 col-xl-3" *ngIf="ngForm.value.tipo === 1">
          <label>Cuarto</label>
          <kendo-combobox formControlName="codigo" [data]="dsCuartos" [textField]="'cuarto'" [valueField]="'cuarto'"
            [valuePrimitive]="true" class="w-100">
          </kendo-combobox>
        </div>
        <div class="form-group col-6 col-sm-6 col-md-3 col-lg-3 col-xl-3" *ngIf="ngForm.value.tipo === 2">
          <label>Operador</label>
          <kendo-combobox formControlName="codigo" [data]="dsOperadores" [textField]="'cnombre'"
            [valueField]="'camarista'" [valuePrimitive]="true" class="w-100">
          </kendo-combobox>
        </div>
      </div>
    </form>
    <kendo-grid [kendoGridBinding]="dataGrid" [resizable]="true" [selectable]="true" filterable="menu"
      [navigable]="true" [sortable]="true" [pageSize]="pageSize" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height:64vh;">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="cuarto" title="Cuarto" width="140"></kendo-grid-column>
        <kendo-grid-column field="FecMovto" title="Fec. Movto." width="180">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.FecMovto | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="hora" title="Hora" width="130">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.hora | hour }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Mov" title="Tipo" width="125"></kendo-grid-column>
        <kendo-grid-column field="Usuario" title="Ope." width="125"></kendo-grid-column>
        <kendo-grid-column field="Llaves" title="A.L." width="120"></kendo-grid-column>
        <kendo-grid-column field="Botones" title="Bot." width="120"></kendo-grid-column>
        <kendo-grid-column field="Revision" title="Rev." width="120"></kendo-grid-column>
        <kendo-grid-column field="FecInicio" title="Fec. Ini." width="150">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.FecInicio | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="FecTermino" title="Fec. Term." width="160">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.FecTermino | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Razon" title="Razón" width="300"></kendo-grid-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
  </div>
  <ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>
</div>